/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct CreateGroupRequest {
    #[serde(rename = "group")]
    pub group: Box<crate::openapi::models::CreateGroupRequestGroup>,
    /// The user ids of the group members to add.
    #[serde(rename = "user_ids")]
    pub user_ids: Vec<String>,
}

impl CreateGroupRequest {
    pub fn new(
        group: crate::openapi::models::CreateGroupRequestGroup,
        user_ids: Vec<String>,
    ) -> CreateGroupRequest {
        CreateGroupRequest {
            group: Box::new(group),
            user_ids,
        }
    }
}
